Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdUserSearchByEmailBegin

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract<IdACommandUserSearchByEmailBegin,IdAResponseUserSearchByEmailBegin>
com.io7m.idstore.shell.admin.internal.IdAShellCmdUserSearchByEmailBegin

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdUserSearchByEmailBegin extends IdAShellCmdAbstract<IdACommandUserSearchByEmailBegin,IdAResponseUserSearchByEmailBegin>
"user-search-by-email-begin"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdUserSearchByEmailBegin(IdAClientSynchronousType inClient)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IdACommandUserSearchByEmailBegin`
  `onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)`
  `protected void`
  `onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseUserSearchByEmailBegin response)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`
  `com.io7m.quarrel.core.QParametersPositionalType`
  `onListPositionalParameters()`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract

  `completer, metadata, onExecute`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

- ## Constructor Details

  - ### IdAShellCmdUserSearchByEmailBegin

    public IdAShellCmdUserSearchByEmailBegin(IdAClientSynchronousType inClient)
    Construct a command.
    Parameters:
      `inClient` - The client

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onListPositionalParameters

    public com.io7m.quarrel.core.QParametersPositionalType onListPositionalParameters()

  - ### onCreateCommand

    protected IdACommandUserSearchByEmailBegin onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)
    Specified by:
      `onCreateCommand` in class `IdAShellCmdAbstract<IdACommandUserSearchByEmailBegin,IdAResponseUserSearchByEmailBegin>`

  - ### onFormatResponse

    protected void onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseUserSearchByEmailBegin response)
    Specified by:
      `onFormatResponse` in class `IdAShellCmdAbstract<IdACommandUserSearchByEmailBegin,IdAResponseUserSearchByEmailBegin>`